Subject: Re: [PATCH] powerpc: add Book E support to 64-bit hibernation

From: Johannes Berg <[email-masked]>
Date: Fri, 15 Mar 2013 16:22:06 +0100

On Thu, 2013-03-14 at 11:52 -0500, Scott Wood wrote:
> > > +#ifdef CONFIG_PPC_BOOK3S_64
> > >  	/* can't use RESTORE_SPECIAL(MSR) */
> > >  	ld	r0, SL_MSR(r11)
> > >  	mtmsrd	r0, 0
> > 
> > Unfortunately, I forgot the reason for this comment, and didn't put a
> > better one (almost 6 years ago!!)

> If it's because book3s needs mtmsrd instead of mtmsr, that doesn't  
> apply to booke.

Indeed, looking at the code again now that seems pretty obvious.

Looking at the patch again, I'd be a little concerned about the lack of
cache flushing, seems a bit odd but I'm sure you know what you're doing
(and I don't know book3e at all, and hardly remember book3s -- or even
that name...) :-)

johannes